## kernel-module-dmloop 0.1-maemo1

=== Makefile ===
#
# Makefile for the kernel software RAID and LVM drivers.
#

dm-mod-objs	:= dm.o dm-table.o dm-target.o dm-linear.o dm-stripe.o \
		   dm-ioctl.o dm-io.o dm-kcopyd.o 
dm-multipath-objs := dm-path-selector.o dm-mpath.o
dm-snapshot-objs := dm-snap.o dm-exception-store.o
dm-mirror-objs	:= dm-raid1.o
md-mod-objs     := md.o bitmap.o
raid456-objs	:= raid5.o raid6algos.o raid6recov.o raid6tables.o \
		   raid6int1.o raid6int2.o raid6int4.o \
		   raid6int8.o raid6int16.o raid6int32.o \
		   raid6altivec1.o raid6altivec2.o raid6altivec4.o \
		   raid6altivec8.o \
		   raid6mmx.o raid6sse1.o raid6sse2.o
hostprogs-y	:= mktables

# Note: link order is important.  All raid personalities
# and must come before md.o, as they each initialise 
# themselves, and md.o may use the personalities when it 
# auto-initialised.

obj-$(CONFIG_MD_LINEAR)		+= linear.o
obj-$(CONFIG_MD_RAID0)		+= raid0.o
obj-$(CONFIG_MD_RAID1)		+= raid1.o
obj-$(CONFIG_MD_RAID10)		+= raid10.o
obj-$(CONFIG_MD_RAID456)	+= raid456.o
obj-$(CONFIG_MD_MULTIPATH)	+= multipath.o
obj-$(CONFIG_MD_FAULTY)		+= faulty.o
obj-$(CONFIG_BLK_DEV_MD)	+= md-mod.o
obj-$(CONFIG_BLK_DEV_DM)	+= dm-mod.o
obj-$(CONFIG_DM_CRYPT)		+= dm-crypt.o
obj-$(CONFIG_DM_DELAY)		+= dm-delay.o
obj-$(CONFIG_DM_MULTIPATH)	+= dm-multipath.o dm-round-robin.o
obj-$(CONFIG_DM_SNAPSHOT)	+= dm-snapshot.o
obj-$(CONFIG_DM_MIRROR)		+= dm-mirror.o dm-log.o dm-region-hash.o
obj-$(CONFIG_DM_ZERO)		+= dm-zero.o

quiet_cmd_unroll = UNROLL  $@
      cmd_unroll = $(PERL) $(srctree)/$(src)/unroll.pl $(UNROLL) \
                   < $< > $@ || ( rm -f $@ && exit 1 )

ifeq ($(CONFIG_ALTIVEC),y)
altivec_flags := -maltivec -mabi=altivec
endif

ifeq ($(CONFIG_DM_UEVENT),y)
dm-mod-objs			+= dm-uevent.o
endif


quiet_cmd_mktable = TABLE   $@
      cmd_mktable = $(obj)/mktables > $@ || ( rm -f $@ && exit 1 )


kernel-ver := 2.6.28-omap1
PWD := $(shell pwd)
obj-m := dm-mod.o dm-loop.o

KDIR := /lib/modules/$(kernel-ver)/build



default: build

build:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
	strip --strip-debug dm-mod.ko
	strip --strip-debug dm-loop.ko

clean:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean

install: build

=== debian/changelog ===
kernel-module-dmloop (0.1-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 05 Feb 2010 15:00:00 +0100

=== debian/control ===
Source: kernel-module-dmloop
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers
Standards-Version: 3.7.2

Package: kernel-module-dmloop
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dm_loop, a mapped loop device for speedy access

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# This gives us the Kernel Version we defined in the sub-make file
KERNEL_VERSION ?= $(shell grep "kernel-ver :=" Makefile | sed -n -e "s/kernel-ver := //p")


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package
	$(MAKE) install
	# Install Cifs Module
	mkdir debian/kernel-module-dmloop/lib
	mkdir debian/kernel-module-dmloop/lib/modules
	mkdir debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
	cp -f ./dm-loop.ko debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
	
	# Install Event Startup File
	mkdir debian/kernel-module-dmloop/etc
	mkdir debian/kernel-module-dmloop/etc/event.d
	cp -f ./event.d/dmloop debian/kernel-module-dmloop/etc/event.d/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kernel-module-dmloop 0.1-maemo2

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Makefile for the kernel software RAID and LVM drivers.
 #
 
-dm-mod-objs	:= dm.o dm-table.o dm-target.o dm-linear.o dm-stripe.o \
-		   dm-ioctl.o dm-io.o dm-kcopyd.o 
+dm-mod-objs	:= dm-table.o dm-target.o dm-linear.o dm-stripe.o \
+		   dm-ioctl.o dm-io.o dm-kcopyd.o dm.o
 dm-multipath-objs := dm-path-selector.o dm-mpath.o
 dm-snapshot-objs := dm-snap.o dm-exception-store.o
 dm-mirror-objs	:= dm-raid1.o
@@ -56,7 +56,7 @@
 
 kernel-ver := 2.6.28-omap1
 PWD := $(shell pwd)
-obj-m := dm-mod.o dm-loop.o
+obj-m := dm-mod.o dm-loop.o 
 
 KDIR := /lib/modules/$(kernel-ver)/build
 
@@ -66,8 +66,7 @@
 
 build:
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules
-	strip --strip-debug dm-mod.ko
-	strip --strip-debug dm-loop.ko
+	strip --strip-debug *.ko
 
 clean:
 	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) clean

=== debian/changelog ===
kernel-module-dmloop (0.1-maemo2) unstable; urgency=low

  * Initial Maemo Fremantle Release

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 05 Feb 2010 15:00:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	mkdir debian/kernel-module-dmloop/lib
 	mkdir debian/kernel-module-dmloop/lib/modules
 	mkdir debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
-	cp -f ./dm-loop.ko debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
+	cp -f ./*.ko debian/kernel-module-dmloop/lib/modules/$(KERNEL_VERSION)/
 	
 	# Install Event Startup File
 	mkdir debian/kernel-module-dmloop/etc
